%global commit d5ea76925fd5750e5e1ea265d371197a6a393399

Name:           neovim-nvchad
Version:        0
Release:        1%{?dist}
Summary:        Neovim config written in Lua with beautiful UI and fast startup.

License:        GPL-3.0-or-later
URL:            https://github.com/NvChad/NvChad
Source0:        %{URL}/archive/%{commit}.tar.gz
Source1:        init.lua

BuildArch:      noarch
Requires:       neovim
Requires:       xclip
Requires:       ripgrep
Requires:       jetbrains-mono-fonts-all

%description
Neovim config written in Lua aiming to provide a base configuration with beautiful UI and blazing fast startup time.

%prep
%autosetup -n NvChad-%{commit}

%build
# Nothing to build

%install
install -dm 755 %{buildroot}/usr/share/nvchad
install -dm 755 %{buildroot}/usr/share/nvim/runtime/plugin/nvchad-starter

cp -a lua %{buildroot}/usr/share/nvchad/

install -Dm 644 %{SOURCE1} %{buildroot}/usr/share/nvim/runtime/plugin/nvchad-starter/init.lua

%files
%license LICENSE
%doc README.md
/usr/share/nvchad
/usr/share/nvim/runtime/plugin/nvchad-starter

%changelog
* Mon Apr 28 2025 Your Name <you@example.com>
- Initial package
